diff -urN chromium-33.0.1750.146.orig/net/socket/nss_ssl_util.cc chromium-33.0.1750.146/net/socket/nss_ssl_util.cc
--- chromium-33.0.1750.146.orig/net/socket/nss_ssl_util.cc	2014-03-04 03:16:07.000000000 +0100
+++ chromium-33.0.1750.146/net/socket/nss_ssl_util.cc	2014-03-07 09:20:43.566102682 +0100
@@ -114,18 +114,15 @@
         // HMAC-SHA256 cipher suites are disabled.
         if (info.symCipher == ssl_calg_camellia ||
             info.symCipher == ssl_calg_seed ||
-            (info.symCipher == ssl_calg_3des && info.keaType != ssl_kea_rsa) ||
+            info.symCipher == ssl_calg_3des ||
+            info.symCipher == ssl_calg_rc4 ||
+            info.symCipher == ssl_calg_des ||
             info.authAlgorithm == ssl_auth_dsa ||
             info.macAlgorithm == ssl_hmac_sha256 ||
             info.nonStandard ||
             strcmp(info.keaTypeName, "ECDH") == 0) {
           enabled = false;
         }
-
-        if (ssl_ciphers[i] == TLS_DHE_DSS_WITH_AES_128_CBC_SHA) {
-          // Enabled to allow servers with only a DSA certificate to function.
-          enabled = true;
-        }
         SSL_CipherPrefSetDefault(ssl_ciphers[i], enabled);
       }
     }
@@ -147,8 +144,8 @@
       0,
     };
     static const uint16 aes_gcm_ciphers[] = {
-      TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,
       TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,
+      TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,
       TLS_DHE_RSA_WITH_AES_128_GCM_SHA256,
       0,
     };
diff -urN chromium-33.0.1750.146.orig/net/third_party/nss/ssl/ssl3con.c chromium-33.0.1750.146/net/third_party/nss/ssl/ssl3con.c
--- chromium-33.0.1750.146.orig/net/third_party/nss/ssl/ssl3con.c	2014-03-04 03:16:07.000000000 +0100
+++ chromium-33.0.1750.146/net/third_party/nss/ssl/ssl3con.c	2014-03-06 23:24:14.752673708 +0100
@@ -117,15 +117,15 @@
 #ifdef NSS_ENABLE_ECC
  { TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305, SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
  { TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305,   SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
- { TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
  { TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,  SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
+ { TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE}, 
 #endif /* NSS_ENABLE_ECC */
  { TLS_DHE_RSA_WITH_AES_128_GCM_SHA256,    SSL_NOT_ALLOWED, PR_TRUE,PR_FALSE},
  { TLS_RSA_WITH_AES_128_GCM_SHA256,        SSL_NOT_ALLOWED, PR_TRUE,PR_FALSE},
 
 #ifdef NSS_ENABLE_ECC
+ { TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,     SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE}, 
  { TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,   SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
- { TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,     SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
 #endif /* NSS_ENABLE_ECC */
  { TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA,  SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
  { TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA,  SSL_NOT_ALLOWED, PR_FALSE,PR_FALSE},
@@ -6868,7 +6868,7 @@
     	if (rv != SECSuccess) {
 	    goto loser;		/* malformed. */
 	}
-	if (dh_p.len < 512/8) {
+	if (dh_p.len < 1024/8) {
 	    errCode = SSL_ERROR_WEAK_SERVER_EPHEMERAL_DH_KEY;
 	    goto alert_loser;
 	}
diff -urN chromium-33.0.1750.146.orig/net/third_party/nss/ssl/sslenum.c chromium-33.0.1750.146/net/third_party/nss/ssl/sslenum.c
--- chromium-33.0.1750.146.orig/net/third_party/nss/ssl/sslenum.c	2014-03-04 03:16:07.000000000 +0100
+++ chromium-33.0.1750.146/net/third_party/nss/ssl/sslenum.c	2014-03-06 23:24:54.700600900 +0100
@@ -33,16 +33,16 @@
 #ifdef NSS_ENABLE_ECC
     TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305,
     TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305,
+    TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,    
     TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,
-    TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,
 #endif /* NSS_ENABLE_ECC */
     TLS_DHE_RSA_WITH_AES_128_GCM_SHA256,
     TLS_RSA_WITH_AES_128_GCM_SHA256,
 
     /* 256-bit */
 #ifdef NSS_ENABLE_ECC
-    TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,
     TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA,
+    TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA,
 #endif /* NSS_ENABLE_ECC */
     TLS_DHE_RSA_WITH_CAMELLIA_256_CBC_SHA,
     TLS_DHE_DSS_WITH_CAMELLIA_256_CBC_SHA,
